ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: JDK 1.1 support
Date Fri, 14 Mar 2003 09:17:11 GMT
On Fri, 14 Mar 2003, Conor MacNeill <conor@cortexebusiness.com.au>
wrote:

> 1. Make Ant 1.6.x the last JDK 1.1 release. This would be clearly
> documented

Fine with me.

I'd like to keep 1.6 compatible to JDK 1.1, though.  When we make 1.2
a requirement, we'd better start using collections and URLClassloader
consistently - and doing this for 1.6 would push 1.6 even further down
the timeline.

> 2. Make the subsequent release require JDK 1.2+ (what about leap
> frogging to later versions?)

1.2

OS/2 and the BSDs (not FreeBSD, but the rest of the pack) are the only
OSes I'm aware of that don't have a decent 1.2+ VM yet, but there are
quite a few without a stable 1.4 VM (and I don't think 1.3 would give
us too much, proxies, but what else?).

> 3. Name this subsequent release Ant 2.0 (due to its change in system
> requirements)

+0

> 4. Drop all the Ant2 cruft from the website. 

OK.

> Just as a data point, CVS HEAD (Ant 1.6) has not compiled against
> JDK 1.1 for a while now (due to diagnostics changes).

But I've nagged Steve about it and promise to fix it during the next
few weeks. 8-)

Stefan

Mime
View raw message